Bug 640681 - system.listFlexGuests(key) returns channel, which doesn't have flex entitlement
system.listFlexGuests(key) returns channel, which doesn't have flex entitlement
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Virtualization (Show other bugs)
540
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jiri Kastner
:
Depends On:
Blocks: sat541-triage
  Show dependency treegraph
 
Reported: 2010-10-06 11:35 EDT by Jiri Kastner
Modified: 2012-04-02 08:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-30 07:45:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2010-10-06 11:35:15 EDT
Description of problem:
when logged 

Version-Release number of selected component (if applicable):
satellite-5.4

How reproducible:


Steps to Reproduce:
1. prepare satellite
2. activate satellite with some flex entitlement certificate
3. register virtual guest to flex entitled channel
4. using snippet in comment call system.listFlexGuests
5. check results
  
Actual results:
returned two channels of same host, where rhn-tools channel has no flex entitlements

Expected results:
returned corresp. channels, where are some flex entitlements.

Additional info:
Comment 3 Milan Zazrivec 2011-05-30 07:45:34 EDT
satellite-schema-5.4.0.13-1 / spacewalk-java-1.2.39-81

I tried the scenario described in the initial comment and the results
I got were completely sane.

system.listFlexGuests() returns list of channel families and list of system
ids consuming flex entitlement from respective channel family pool.

system.listEligibleFlexGuests() returns list of channel families and list of
system ids eligible to consume flex entitlement from respective channel family
pool.

I'm closing this w/ worksforme.

Note You need to log in before you can comment on or make changes to this bug.